Update product fields. All fields are optional.
Restrictions:
priceCents
frequencyInDays
cURL
curl --request PATCH \ --url https://api.suby.fi/api/product/{productId} \ --header 'Content-Type: application/json' \ --header 'X-Suby-Api-Key: <api-key>' \ --data ' { "status": "ACTIVE", "priceCents": "1499", "frequencyInDays": 2, "supply": 2 } '
{ "success": true, "data": { "id": "pro_abc123", "name": "Premium Access", "description": "<string>", "status": "ACTIVE", "platform": "WEB", "frequencyInDays": 123, "isCustomPrice": true, "priceCents": "999", "currency": "USD", "supply": 123, "imageUrl": "<string>", "createdAt": "2023-11-07T05:31:56Z", "paymentMethods": [ "CRYPTO" ], "acceptedAssets": [ { "symbol": "<string>", "decimals": 123 } ], "acceptedChains": [ { "id": 123, "name": "<string>" } ] } }
API key authentication
ACTIVE
CANCELLED
New price in cents
"1499"
x >= 1
Product updated
true
Show child attributes